> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pineyard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call stats by day

> One row per day (`YYYY-MM-DD`, India Standard Time) with total and completed calls and outcome counts.

**Required scope:** `analytics.view`


## OpenAPI

````yaml /api-reference/openapi.json get /analytics/by-day
openapi: 3.0.3
info:
  title: Pineyard API
  version: 1.0.0
  description: >-
    Programmatic access to agents, campaigns, calls, phone numbers, WhatsApp and
    results in your Pineyard workspace.
servers:
  - url: https://api.pineyard.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /analytics/by-day:
    get:
      summary: Get call stats by day
      description: >-
        One row per day (`YYYY-MM-DD`, India Standard Time) with total and
        completed calls and outcome counts.
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 365
          required: false
          name: days
          in: query
        - schema:
            type: string
          required: false
          name: campaignTypeId
          in: query
        - schema:
            type: string
          required: false
          name: campaignId
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            maximum: 1
          required: false
          name: today
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    day:
                      type: string
                    total:
                      type: number
                    completed:
                      type: number
                    outcomes:
                      type: object
                      properties:
                        GOAL_MET:
                          type: number
                        DROPPED:
                          type: number
                        UNDECIDED:
                          type: number
                        NOT_INTERESTED:
                          type: number
                        NO_ANSWER:
                          type: number
                        VOICEMAIL:
                          type: number
                        FAILED:
                          type: number
                        TRANSFERRED:
                          type: number
                        OTHER:
                          type: number
                      required:
                        - GOAL_MET
                        - DROPPED
                        - UNDECIDED
                        - NOT_INTERESTED
                        - NO_ANSWER
                        - VOICEMAIL
                        - FAILED
                        - TRANSFERRED
                        - OTHER
                  required:
                    - day
                    - total
                    - completed
                    - outcomes
        '400':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.

            - `invalid_body`: The request body (or query) failed validation.
            Details are in `issues` (or `detail`). `422` on `POST
            /v1/campaigns/{campaignId}/leads`.
        '401':
          description: >-
            - `invalid_api_key`: The API key is unknown, revoked or expired, or
            its workspace was deleted.

            - `unauthorized`: No `Authorization: Bearer` header, or an empty
            token.
        '403':
          description: >-
            - `api_key_not_scoped`: A key issued without scopes was used outside
            `/v1`.

            - `api_key_owner_inactive`: The member the key acts for was removed
            or suspended.

            - `forbidden`: The key lacks the permission named in
            `requiredPermission`, or the resource belongs to another workspace.

            - `workspace_pending_approval`: The workspace has not been approved
            yet.

            - `workspace_suspended`: The workspace is suspended.
        '413':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '429':
          description: '- `rate_limited`: Too many requests.'
        '500':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '502':
          description: >-
            - `provider_error`: The calling service rejected the request
            (`upstreamStatus` 4xx) or was unavailable (5xx).
        '503':
          description: '- `database_unavailable`: The service is temporarily unavailable.'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your API key, e.g. `pk_live_xxxxxxxxxxxxxxxxxxxxxxxx`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.